Invite Candidate
Invite candidates to an interview
This endpoint emails candidates to take the interview, returns the candidate ID, and interview URL. The candidates will then take the interview on our platform before you can receive the report data.
POST
/
interview
/
invite
Invite candidates to an interview
curl --request POST \
--url https://public.api.micro1.ai/interview/invite \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"interview_id": "123e4567-e89b-12d3-a456-426614174000",
"candidates": [
{
"name": "John Doe",
"email": "candidate@example.com"
}
],
"job_application_id": "123e4567-e89b-12d3-a456-426614174000",
"candidate_id": "123e4567-e89b-12d3-a456-426614174000",
"disable_email_notification": false
}
'import requests
url = "https://public.api.micro1.ai/interview/invite"
payload = {
"interview_id": "123e4567-e89b-12d3-a456-426614174000",
"candidates": [
{
"name": "John Doe",
"email": "candidate@example.com"
}
],
"job_application_id": "123e4567-e89b-12d3-a456-426614174000",
"candidate_id": "123e4567-e89b-12d3-a456-426614174000",
"disable_email_notification": False
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
interview_id: '123e4567-e89b-12d3-a456-426614174000',
candidates: [{name: 'John Doe', email: 'candidate@example.com'}],
job_application_id: '123e4567-e89b-12d3-a456-426614174000',
candidate_id: '123e4567-e89b-12d3-a456-426614174000',
disable_email_notification: false
})
};
fetch('https://public.api.micro1.ai/interview/invite', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public.api.micro1.ai/interview/invite",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'interview_id' => '123e4567-e89b-12d3-a456-426614174000',
'candidates' => [
[
'name' => 'John Doe',
'email' => 'candidate@example.com'
]
],
'job_application_id' => '123e4567-e89b-12d3-a456-426614174000',
'candidate_id' => '123e4567-e89b-12d3-a456-426614174000',
'disable_email_notification' => false
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://public.api.micro1.ai/interview/invite"
payload := strings.NewReader("{\n \"interview_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"candidates\": [\n {\n \"name\": \"John Doe\",\n \"email\": \"candidate@example.com\"\n }\n ],\n \"job_application_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"candidate_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"disable_email_notification\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://public.api.micro1.ai/interview/invite")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"interview_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"candidates\": [\n {\n \"name\": \"John Doe\",\n \"email\": \"candidate@example.com\"\n }\n ],\n \"job_application_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"candidate_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"disable_email_notification\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://public.api.micro1.ai/interview/invite")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"interview_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"candidates\": [\n {\n \"name\": \"John Doe\",\n \"email\": \"candidate@example.com\"\n }\n ],\n \"job_application_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"candidate_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"disable_email_notification\": false\n}"
response = http.request(request)
puts response.read_body{
"status": true,
"message": "Invitations sent successfully",
"data": {
"invitations": [
{
"candidate_id": "123e4567-e89b-12d3-a456-426614174000",
"candidate_email": "candidate@example.com",
"invite_url": "https://interview.micro1.ai/intro/micro1?cid=123e4567-e89b-12d3-a456-426614174000"
}
]
}
}{
"status": false,
"message": "Invalid request"
}{
"status": false
}Body
application/json
Request body to create an interview
⌘I
Invite candidates to an interview
curl --request POST \
--url https://public.api.micro1.ai/interview/invite \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"interview_id": "123e4567-e89b-12d3-a456-426614174000",
"candidates": [
{
"name": "John Doe",
"email": "candidate@example.com"
}
],
"job_application_id": "123e4567-e89b-12d3-a456-426614174000",
"candidate_id": "123e4567-e89b-12d3-a456-426614174000",
"disable_email_notification": false
}
'import requests
url = "https://public.api.micro1.ai/interview/invite"
payload = {
"interview_id": "123e4567-e89b-12d3-a456-426614174000",
"candidates": [
{
"name": "John Doe",
"email": "candidate@example.com"
}
],
"job_application_id": "123e4567-e89b-12d3-a456-426614174000",
"candidate_id": "123e4567-e89b-12d3-a456-426614174000",
"disable_email_notification": False
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
interview_id: '123e4567-e89b-12d3-a456-426614174000',
candidates: [{name: 'John Doe', email: 'candidate@example.com'}],
job_application_id: '123e4567-e89b-12d3-a456-426614174000',
candidate_id: '123e4567-e89b-12d3-a456-426614174000',
disable_email_notification: false
})
};
fetch('https://public.api.micro1.ai/interview/invite', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public.api.micro1.ai/interview/invite",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'interview_id' => '123e4567-e89b-12d3-a456-426614174000',
'candidates' => [
[
'name' => 'John Doe',
'email' => 'candidate@example.com'
]
],
'job_application_id' => '123e4567-e89b-12d3-a456-426614174000',
'candidate_id' => '123e4567-e89b-12d3-a456-426614174000',
'disable_email_notification' => false
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://public.api.micro1.ai/interview/invite"
payload := strings.NewReader("{\n \"interview_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"candidates\": [\n {\n \"name\": \"John Doe\",\n \"email\": \"candidate@example.com\"\n }\n ],\n \"job_application_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"candidate_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"disable_email_notification\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://public.api.micro1.ai/interview/invite")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"interview_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"candidates\": [\n {\n \"name\": \"John Doe\",\n \"email\": \"candidate@example.com\"\n }\n ],\n \"job_application_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"candidate_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"disable_email_notification\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://public.api.micro1.ai/interview/invite")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"interview_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"candidates\": [\n {\n \"name\": \"John Doe\",\n \"email\": \"candidate@example.com\"\n }\n ],\n \"job_application_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"candidate_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"disable_email_notification\": false\n}"
response = http.request(request)
puts response.read_body{
"status": true,
"message": "Invitations sent successfully",
"data": {
"invitations": [
{
"candidate_id": "123e4567-e89b-12d3-a456-426614174000",
"candidate_email": "candidate@example.com",
"invite_url": "https://interview.micro1.ai/intro/micro1?cid=123e4567-e89b-12d3-a456-426614174000"
}
]
}
}{
"status": false,
"message": "Invalid request"
}{
"status": false
}